> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.wynncraft.com/2026-05-14-v3-7-2/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.wynncraft.com/_mcp/server. # v3.7.2 ## Related endpoints * [GET /oauth/me](https://docs.wynncraft.com/modules/o-auth-2/get-oauth-identity) * [POST /oauth/token](https://docs.wynncraft.com/modules/o-auth-2/exchange-oauth-token) * GET /item/recipe/database * POST /item/recipe/search * [GET /guild/list/territory](https://docs.wynncraft.com/modules/guild/list-guild-territories) * [GET /guild/\{query}](https://docs.wynncraft.com/modules/guild/get-guild-by-name) * [GET /guild/prefix/\{query}](https://docs.wynncraft.com/modules/guild/get-guild-by-prefix) * [GET /guild/uuid/\{query}](https://docs.wynncraft.com/modules/guild/get-guild-by-uuid) * [GET /guild/seasons](https://docs.wynncraft.com/modules/guild/list-guild-seasons) * [GET /leaderboards/\{lb\_type}](https://docs.wynncraft.com/modules/leaderboards/get-leaderboard) * [GET /publisher/articles/fetch/\{article\_type}/\{pk}](https://docs.wynncraft.com/modules/news/fetch-publisher-article) * [GET /publisher/articles/list/\{article\_type}](https://docs.wynncraft.com/modules/news/list-publisher-articles) * [GET /map/world-events](https://docs.wynncraft.com/modules/map/list-world-events) * [GET /map/camps](https://docs.wynncraft.com/modules/map/list-map-camps) * [GET /map/raids](https://docs.wynncraft.com/modules/map/list-map-raids) * [GET /map/loot-pools](https://docs.wynncraft.com/modules/map/list-map-loot-pools) * [GET /map/gathering-nodes](https://docs.wynncraft.com/modules/map/list-gathering-nodes) v3.7.2 introduces public OAuth2 support, recipe endpoints, expanded guild territory payloads, guild season data, new map data routes, and publisher poll article documentation. ## OAuth2 ### [GET /oauth/me](https://docs.wynncraft.com/modules/o-auth-2/get-oauth-identity) and [POST /oauth/token](https://docs.wynncraft.com/modules/o-auth-2/exchange-oauth-token) * Added the public OAuth2 routes. * Added the authorization code token exchange flow. * Added support for PKCE with `S256`. * OAuth2 access-rule bypass only applies to the authorizing user's own linked profiles when the user granted the relevant scopes. To get started with OAuth2: * [Creating an application](/oauth2/creating-an-application) * [Authorizing an application](/oauth2/authorizing-an-application) * [Use application's access tokens](/oauth2/use-applications-access-tokens) * [OAuth2 Quirks](/oauth2/quirks) ## Recipes ### GET /item/recipe/database and POST /item/recipe/search * Added the recipe database endpoint. * Added recipe search with support for exact values, partial name search, and numeric range filters. * Added `?full_result` for both recipe endpoint to bypass pagination ## Guild territories ### [GET /guild/list/territory](https://docs.wynncraft.com/modules/guild/list-guild-territories) * Added `hq` to the nested `guild` object. * Added `hq`, `resources`, `links`, `treasury`, and `defences` to each territory entry. * To not make these additions unfair, the `resources` field updates every minute, while the rest of the territory payload keeps the existing 10 second cache cycle. Note that we may tweak this more strictly if abused. ## Guild member raid stats ### [GET /guild/\{query}](https://docs.wynncraft.com/modules/guild/get-guild-by-name), [GET /guild/prefix/\{query}](https://docs.wynncraft.com/modules/guild/get-guild-by-prefix) and [GET /guild/uuid/\{query}](https://docs.wynncraft.com/modules/guild/get-guild-by-uuid) * Added `currentGuildRaids` to guild member stats for raids completed while the player was in the current guild. * `guildRaids` now represents the member's total guild raids across every guild. ## Guild seasons ### [GET /guild/seasons](https://docs.wynncraft.com/modules/guild/list-guild-seasons) * Added a public guild seasons endpoint. * The response is keyed by season name. * Each season includes `territoryHoldingSrPerHour`, `srPerWar`, `ratingRewards`, and `leaderboardRewards`. ### [GET /leaderboards/\{lb\_type}](https://docs.wynncraft.com/modules/leaderboards/get-leaderboard) * Added guild season leaderboard types. * Guild season leaderboard types are dynamic and use the `guildSeason...` format returned by [GET /leaderboards/types](https://docs.wynncraft.com/modules/leaderboards/list-leaderboard-types), such as `guildSeason32`. * Guild season leaderboard entries include `metadata.seasonName` and `metadata.position`. ## Publisher articles ### [GET /publisher/articles/fetch/\{article\_type}/\{pk}](https://docs.wynncraft.com/modules/news/fetch-publisher-article) and [GET /publisher/articles/list/\{article\_type}](https://docs.wynncraft.com/modules/news/list-publisher-articles) * Added `poll` as a public article type. * Poll articles can include `question` content blocks where `content` is a structured object instead of a plain string. * Poll article payloads can now include `poll_settings`, `poll_public`, and `votes`. ## Map ### [GET /map/world-events](https://docs.wynncraft.com/modules/map/list-world-events) * Added public world event metadata. * Added `schedule`, which returns the next visible run as an ISO timestamp. * The schedule visibility window is currently 15 minutes. * `schedule` is `null` when no run falls inside that visibility window. * Added `rewardPerLevel`, `requirements`, and per-spot `location` data for each event. ### [GET /map/camps](https://docs.wynncraft.com/modules/map/list-map-camps) and [GET /map/raids](https://docs.wynncraft.com/modules/map/list-map-raids) * Added public camp and raid map endpoints. * Both responses include static metadata plus preview rewards. * Raids supports the optional `level` query parameter to preview rewards at a specific level. * Each entry includes `name`, `internalName`, `type`, `lore`, `difficulty`, `level`, `length`, `requirements`, `location`, and `rewards`. ### [GET /map/loot-pools](https://docs.wynncraft.com/modules/map/list-map-loot-pools) * Added combined loot-pool previews for map camps and raids. * Added the optional `level` query parameter to preview rewards at a specific level. * The response only includes fields: `name`, `internalName`, `type`, and `rewards`. * In each reward, `always` indicates that the reward is granted automatically without player action. * When `level` is provided, the API uses the highest available preview threshold that does not exceed the requested value. ### [GET /map/gathering-nodes](https://docs.wynncraft.com/modules/map/list-gathering-nodes) * Added public gathering node positions used by the web map. * Each node includes coordinates, `angle`, `type`, `resource`, and `level`. * `type` distinguishes standard node placements from wall and corner placements.